using System;

namespace KitsuneCafe.Sys.Attributes
{
    public class ShowIfAttribute : ConditionalDisplayAttribute
    {
        public ShowIfAttribute(string property) : this(property, true)
        {
        }

        public ShowIfAttribute(string property, object value) : base(ComparisonOperator.Equal, value, property)
        {
        }

        public ShowIfAttribute(LogicalOperator logicalOp, params string[] properties) : base(logicalOp, ComparisonOperator.Equal, true, properties)
        {
        }
    }
}
